Page 1 sur 1

Problème avec ATI R9 290

Posté : 08 novembre 2017, 06:17
par alain65
Bonjour à tous.

Je ne sais pas si je poste au bon endroit, mais n'ayant pas trouvé de rubrique "pb technique" et voyant certain de ces problèmes ici, je me suis permis.
Bien entendu s'il a une rubrique plus adéquate (comme sheila :grin: ), déplacez le sujet.

Voila le problème:
J'ai une GPU ATI R9 290, j'ai installé le pilote fglrx (proprio amd) cette nuit, j'ai aussi installé "boinc-amd-opencl" version: 7.4.23.
Mais je n'arrive pas a avoir d'UT pour primegrid et gpugrid (je n'en ai pas essayé d'autres).

Aurais-je oublié quelque chose?

Merci d'avance, pour l'aide que vous ne manquerez pas de m'apporter.

:hello:

Re: Problème avec ATI R9 290

Posté : 08 novembre 2017, 06:42
par Pascal
:coucou: Alain65,

Pour le projet GpuGrid tu n'auras pas d'unités pour cartes ATI, ils ne font que des CUDA pour nVidia. :prr:
Pour PrimeGrid, si tu as coché les bonnes cases dans tes préférences (case "Use ATI/AMD GPU" et au moins une case de la colonne "AMD/ATI GPU") il y a des unités possibles pour les applications PPSsieve, les différentes Genefer, AP27... sauf s'ils sont en manque. :sifflote:

Re: Problème avec ATI R9 290

Posté : 08 novembre 2017, 08:40
par alain65
Hello Pascal.

Pour primegrid, j'ai coché : "Use ATI/AMD GPU " et toutes les applis AMD/ATI.

En ce qui concerne GpuGrid tu me vois fort étonné, car sur la page d’accueil du site GpuGrid il y a un beau logo ATI et dans
les préférences la possibilité de choisir ATI comme sur primegrid:

0011.png


Merci d'avoir répondu si vite, j'attends la journée voir si je reçois quelque chose.

:hello:

Re: Problème avec ATI R9 290

Posté : 08 novembre 2017, 10:20
par Pascal
:coucou:

Je comprends ton étonnement, mais sur la page des applications GPUGRID il n'y a que des applications CUDA et mt pour ceux qui veulent faire du CPU. :prr:
http://www.gpugrid.net/apps.php

Pour PrimeGrid ça devrait être bon. Peut-être que ton cache est plein d'autres unités GPU ou que ton partage de ressources n'est pas suffisant.
Quand tu fais un "Mettre à jour" sur le projet qu'as-tu comme message dans le journal ?

Re: Problème avec ATI R9 290

Posté : 08 novembre 2017, 12:32
par dudumomo
Salut,

Dans ton BOINC Manager, tu devrais avoir les logs (Dans Outils). Regarde au tout debut des logs si BOINC a bien detecte ton GPU. Ca devrait d'afficher le model de ton CPU, et normalement GPU aussi.

Si il est bien detecte, ca vient donc des preferences du projet ou du boinc manager, etc...
Si il n'est pas detecte, ca vient du systeme. Probleme de drivers, de droits, etc...

:tchin:

Re: Problème avec ATI R9 290

Posté : 08 novembre 2017, 18:20
par alain65
Salut Pascal et Dudumomo :coucou:

Alors dans l'ordre:
Après une bonne journée de someil, je me suis réveillé plein d'espoirs, mais toujours pas d'UT GPU... :embarrassed:

@ Pascal: Ok pour GpuGrid, je n'étais pas allé plus loin.
Quand je fais un "mettre à jour sur PrimeGrid" , j'ai ça dans le journal :
mer. 08 nov. 2017 17:26:32 CET | PrimeGrid | update requested by user
mer. 08 nov. 2017 17:26:34 CET | PrimeGrid | Sending scheduler request: Requested by user.
mer. 08 nov. 2017 17:26:34 CET | PrimeGrid | Not requesting tasks: don't need (blocked by project preferences)
mer. 08 nov. 2017 17:26:35 CET | PrimeGrid | Scheduler request completed
mer. 08 nov. 2017 17:26:35 CET | PrimeGrid | Your current settings do not allow tasks from this project. To fix this, you can change Project Preferences on the project's web site.

Ce qui ne me parais pas aberrant car je n'ai pas sélectionné le calcul CPU, mais juste le GPU (ATI).
Mon cache contient 1 jour de VGTU . Mais comme je stoppe GVTU pendant la mise a jour, je ne pense pas que ça soit pris en compte
pour du GPU. Mon cache n'a rien en GPU.
J'ai fait un test avec Collatz qui fonctionnait bien sur un autre ordi (GPU ATI) avec les mêmes préférence: Idem rien...

@Dudumomo: Dans "outils", je ne trouve pas les logs dont tu parles. Je n'ai que:
Rejoindre un projet ou un gestionnaire de comptes
Optoins...
Préférences de calcul

Donc je ne sais pas ou regarder si mon GPU est bien détecté.
Je pense que ça vient du système, car PrimeGrid et Collatz avec les mêmes préférences fonctionnaient sur un autre ordi avec une ATI.
Pour le driver j'ai installé la version de fglrx dispo dans les sources jessie (15.9-4)
En boinc et boinc- amd-amd-opencl j'ai la version 7.4.23 (idem, celle de jessie), c'est la seule différence avec l'autre ordi qui avait
une version plus ancienne...
Les droits sont une piste. Mais les droits de quoi? de Boinc? (il fonctionne bien en CPU, actuellement sur VGTU)
Je ne peux plus comparer avec l'ancien ordi, je l'ai démonté pour récupérer les pièces détachées.. :prr:

Merci à vous deux de vous occuper de mon soucis, c'est sympa :smiley:

:hello:

PS: c'est sur le PC1 de ma signature.

Re: Problème avec ATI R9 290

Posté : 08 novembre 2017, 19:10
par Pascal
:coucou:

D'après ce que disait Corran Horn ici https://forum.boinc-af.org/index.php/to ... #msg466021 il faut être sur la dernière LTS pour que les pilotes AMD fonctionnent correctement, soit la LTS 16.04.03

Ou alors j'ai mal compris et c'est seulement pour faire fonctionner dans un même PC 2 cartes nVidia et AMD/ATI

Re: Problème avec ATI R9 290

Posté : 08 novembre 2017, 22:20
par alain65
Oui Pascal, ça semble être pour faire fonctionner deux cartes différentes (nvidia/amd) (d'ailleurs je n'ai toujours pas compris comment il fait ? :penseur: ) et puis, LTS 16.04.03 ça ressemble a une version d'ubuntu ça. Moi c'est LMDE2 (basée sur debian 8).
J'ai jamais eu d'ubuntu et j'ai pu calculer sur ATI sous debian et avec des debian 6 et 7 donc pas récent...
Je suis certain qu'ils y en a d'autre qui crunchent avec des cartes ATI sous debian. D'ailleurs j'en connais un chez qui ça marche sous
Arch, Donc pas une question de distribution, LTS ou non...

Non, je suis persuadé que j'ai oublié un détail... Mais lequel ??? :penseur:

Re: Problème avec ATI R9 290

Posté : 09 novembre 2017, 05:10
par alain65
Bon cette nuit j'ai fouillé un peu et j'ai trouvé ça:
viewtopic.php?f=105&t=2325
12 pages ! :rolleyes: . Dont seulement quelques messages qui ont un lien avec la configuration pour une carte ATI...
Malgré toutes mes lectures de ce que j'ai pu trouver sur le net (parfois en anglais), je ne suis pas arrivé
à déterminer ou j'ai loupé quelque chose... :embarrassed:
Mais! La lecture du sujet cité ci-dessus, m'a permis de ma rappeler que c'est mon pote Ignace72 qui m'avais
aider à configurer ma 1ére CG ATI en vocal sur mumble. Le problème c'est qu'il ne viens plus ici et qu'il ne crunche plus
depuis Juin 2014... :undecided: . Cette fois ci il faudra faire sans lui... :prr:
Si seulement je me souvenais de ce qu'il m'a fait faire en 2013 :penseur:

En fait, c'est bien ça, boinc ne reconnais pas la CG, il y a un truc à faire...Mais quoi???

Bonne journée à vous, moi je jette l'éponge pour cette nuit.

:hello:

Re: Problème avec ATI R9 290

Posté : 06 décembre 2017, 05:37
par alain65
Bonjour.

Je me permet un petit up, car je commence à désespérer de faire cruncher cette carte un jour :embarrassed:

Depuis bientôt un mois, j'ai lu des kilomètres de forums, tutos, articles souvent en anglais, mais rien n' y fait.
je n' y arrive pas...
Boinc ne reconnais pas ma CG, je le vois sur les sites des projets qui tous me renvoient ça:
chez Collatz, mais c'est pareil chez les autres...
boinc01.png


Alors si vous avez une petite idée, ou alors de l'endroit ou je pourrais me renseigner...

Merci.

:hello: